path: /build/build/libsidplay-media-libs-2-2.1.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} media-libs/libsidplay:2 -pv -t && \
    emerge -j ${JOBS} --nodeps media-libs/libsidplay:2
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libsidplay && luet-portage --dir /pkgdir/libsidplay
    media-libs/libsidplay:2 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:d6ef957ddd74c35c49678657c2b04c79bd9bd5d122f45adda57d9cc8e78728cc
  package:
    name: libsidplay
    version: 2.1.1
    category: media-libs-2
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: C64 SID player library
    uri:
    - http://sidplay2.sourceforge.net/
    license: GPL-2
    buildtimestamp: 2023-09-28 22:48:04.869289791 +0000 UTC m=+163.059571474
    labels:
      BDEPEND: sys-devel/autoconf-archive >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
        || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4
      IUSE: static-libs abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
        abi_mips_o32 abi_s390_32 abi_s390_64
      emerge.packages: media-libs/libsidplay:2
      kit: media-kit
      original.package.name: media-libs/libsidplay
      original.package.slot: "2"
      original.package.version: 2.1.1
    treedir: /build/packages
  package_dir: /pkgdir/libsidplay
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: a49063a62e8abff6203d354fd5167904fac3644d57758e9b2489f9eaced27776
compressiontype: zstd
files:
- etc/env.d/65resid
- usr/include/sidplay/Buffer.h
- usr/include/sidplay/SidTune.h
- usr/include/sidplay/SmartPtr.h
- usr/include/sidplay/builders/hardsid.h
- usr/include/sidplay/builders/resid.h
- usr/include/sidplay/c64env.h
- usr/include/sidplay/component.h
- usr/include/sidplay/event.h
- usr/include/sidplay/sid2types.h
- usr/include/sidplay/sidbuilder.h
- usr/include/sidplay/sidconfig.h
- usr/include/sidplay/sidendian.h
- usr/include/sidplay/sidint.h
- usr/include/sidplay/sidplay2.h
- usr/include/sidplay/sidtypes.h
- usr/include/sidplay/sidusage.h
- usr/include/sidplay/utils/SidDatabase.h
- usr/include/sidplay/utils/SidFilter.h
- usr/include/sidplay/utils/SidTuneMod.h
- usr/include/sidplay/utils/SidUsage.h
- usr/include/sidplay/utils/libini.h
- usr/include/x86_64-pc-linux-gnu/sidplay/sidconfig.h
- usr/lib64/libsidplay2.so
- usr/lib64/libsidplay2.so.1
- usr/lib64/libsidplay2.so.1.0.1
- usr/lib64/libsidutils.so
- usr/lib64/libsidutils.so.0
- usr/lib64/libsidutils.so.0.0.4
- usr/lib64/pkgconfig/libsidplay2.pc
- usr/lib64/pkgconfig/libsidutils.pc
- usr/lib64/sidplay/builders/libhardsid-builder.so
- usr/lib64/sidplay/builders/libhardsid-builder.so.0
- usr/lib64/sidplay/builders/libhardsid-builder.so.0.0.1
- usr/lib64/sidplay/builders/libresid-builder.so
- usr/lib64/sidplay/builders/libresid-builder.so.0
- usr/lib64/sidplay/builders/libresid-builder.so.0.0.1
- usr/share/doc/libsidplay-2.1.1/libsidplay/AUTHORS.bz2
- usr/share/doc/libsidplay-2.1.1/libsidplay/ChangeLog.bz2
- usr/share/doc/libsidplay-2.1.1/libsidplay/README.bz2
- usr/share/doc/libsidplay-2.1.1/libsidplay/TODO.bz2
- usr/share/doc/libsidplay-2.1.1/libsidutils/AUTHORS
- usr/share/doc/libsidplay-2.1.1/libsidutils/ChangeLog.bz2
- usr/share/doc/libsidplay-2.1.1/libsidutils/README.bz2
- usr/share/doc/libsidplay-2.1.1/libsidutils/TODO
- usr/share/doc/libsidplay-2.1.1/resid/AUTHORS
- usr/share/doc/libsidplay-2.1.1/resid/ChangeLog.bz2
- usr/share/doc/libsidplay-2.1.1/resid/NEWS.bz2
- usr/share/doc/libsidplay-2.1.1/resid/README.bz2
- usr/share/doc/libsidplay-2.1.1/resid/THANKS.bz2
- usr/share/doc/libsidplay-2.1.1/resid/TODO.bz2
- var/db/pkg/media-libs/libsidplay-2.1.1/BDEPEND
- var/db/pkg/media-libs/libsidplay-2.1.1/BUILD_TIME
- var/db/pkg/media-libs/libsidplay-2.1.1/CATEGORY
- var/db/pkg/media-libs/libsidplay-2.1.1/CBUILD
- var/db/pkg/media-libs/libsidplay-2.1.1/CFLAGS
- var/db/pkg/media-libs/libsidplay-2.1.1/CHOST
- var/db/pkg/media-libs/libsidplay-2.1.1/CONTENTS
- var/db/pkg/media-libs/libsidplay-2.1.1/COUNTER
- var/db/pkg/media-libs/libsidplay-2.1.1/CXXFLAGS
- var/db/pkg/media-libs/libsidplay-2.1.1/DEFINED_PHASES
- var/db/pkg/media-libs/libsidplay-2.1.1/DESCRIPTION
- var/db/pkg/media-libs/libsidplay-2.1.1/EAPI
- var/db/pkg/media-libs/libsidplay-2.1.1/FEATURES
- var/db/pkg/media-libs/libsidplay-2.1.1/HOMEPAGE
- var/db/pkg/media-libs/libsidplay-2.1.1/INHERITED
- var/db/pkg/media-libs/libsidplay-2.1.1/IUSE
- var/db/pkg/media-libs/libsidplay-2.1.1/IUSE_EFFECTIVE
- var/db/pkg/media-libs/libsidplay-2.1.1/KEYWORDS
- var/db/pkg/media-libs/libsidplay-2.1.1/LDFLAGS
- var/db/pkg/media-libs/libsidplay-2.1.1/LICENSE
- var/db/pkg/media-libs/libsidplay-2.1.1/NEEDED
- var/db/pkg/media-libs/libsidplay-2.1.1/PF
- var/db/pkg/media-libs/libsidplay-2.1.1/PROVIDES
- var/db/pkg/media-libs/libsidplay-2.1.1/REQUIRES
- var/db/pkg/media-libs/libsidplay-2.1.1/SIZE
- var/db/pkg/media-libs/libsidplay-2.1.1/SLOT
- var/db/pkg/media-libs/libsidplay-2.1.1/USE
- var/db/pkg/media-libs/libsidplay-2.1.1/environment.bz2
- var/db/pkg/media-libs/libsidplay-2.1.1/libsidplay-2.1.1.ebuild
- var/db/pkg/media-libs/libsidplay-2.1.1/repository
package_cacheimage: ""
runtime:
  name: libsidplay
  version: 2.1.1
  category: media-libs-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: C64 SID player library
  uri:
  - http://sidplay2.sourceforge.net/
  license: GPL-2
  labels:
    BDEPEND: sys-devel/autoconf-archive >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
      || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4
    IUSE: static-libs abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
      abi_mips_o32 abi_s390_32 abi_s390_64
    emerge.packages: media-libs/libsidplay:2
    kit: media-kit
    original.package.name: media-libs/libsidplay
    original.package.slot: "2"
    original.package.version: 2.1.1
